# test.py
#
#

""" test commands and classes. """

from meds.object import Object
from meds.event import Event
from meds.bots import Bot
from meds.cfg import cfg

import unittest
import queue

class Test(unittest.TestCase):

    """ custom class for unittests. """

    pass


class TestBot(Bot):

    """ Bot to use in testing. """

    _result = []

    def announce(self, txt):
        """ announce some text. """
        self.out(txt)

    def out(self, txt):
        """ raw output function, uses print(). """
        if cfg.main.verbose: print(txt)
        self._result.append(txt)
        
    def say(self, channel, txt):
        """ output to channel. """
        self.out(txt)
