# meds/cfg.py
#
#

""" default config."""

from meds.object import Object

import socket
import os

#:
xmpp = Object()
xmpp.prefix = "cfg"
xmpp.user = "meds@localhost"
xmpp.server = "localhost"
xmpp.username = "meds"
xmpp.channel = "#meds"
xmpp.nick = "meds"
xmpp.cfg = "xmpp"
xmpp.port = 5222
xmpp.owner = ""

#:
irc = Object()
irc.prefix = "cfg"
irc.channel = "#meds"
irc.server = "localhost"
irc.username = "meds"
irc.channel = "#meds"
irc.nick = "meds"
irc.cfg = "irc"
irc.ipv6 = False
irc.owner = ""

#:
main = Object()
main.path = False
main.prefix = "cfg"
main.colors = False
main.debug = False
main.background = False
main.openfire = True
main.shell = False
main.init = ""
main.workdir = os.path.expanduser("~/.meds")
main.loglevel = "error"
main.packages = ["meds.bots","meds.plugs"]
main.modules = ""
main.default = ""
main.exclude = "test,xmpp"
main.services = False
main.cfg = "main"
main.args = []
main.all = False
main.scan = False
main.resume = False
main.reboot = False

#:
udp = Object()
udp.prefix = "cfg"
udp.cfg = "udp"
udp.host = "localhost"
udp.port = 5500
udp.password = "boh"
udp.seed = "blablablablablaz" # needs to be 16 chars wide

#:
rest = Object()
rest.prefix = "cfg"
rest.cfg = "rest"
rest.hostname = socket.getfqdn()
rest.port = 10102

#:
stats = Object()
stats.prefix = "cfg"
stats.cfg = "stats"
stats.showurl = True

#:
rss = Object()
rss.cfg = "rss"
rss.display_list = ["title", "link", "Date"]
rss.descriptions = ["officiel", ]
rss.sleeptime = 600
rss.ignore = []
rss.dosave = []
rss.nosave = []
rss.showurl = False

#:
cli = Object()
cli.welcome = "mogge!!"
cli.cfg = "cli"

#:
cfg = Object()
cfg.main = main
cfg.xmpp = xmpp
cfg.rest = rest
cfg.irc = irc
cfg.udp = udp
cfg.rss = rss
cfg.cli = cli
cfg.stats = stats
