# meds/plugs/cfg.py
#
#

""" runtime information. """

from meds.cfg import cfg as _cfg
from meds.errors import ENODIR
from meds.kernel import kernel

import time
import ast
import os

def cfg(event):
    if event.args:
        ctype = event.args[0]
        try: obj = kernel.last("cfg", ctype)
        except ENODIR: obj = None
        if not obj: obj = _cfg.get(ctype, None)
        if not obj: event.reply("can't find config for %s" % ctype) ; return
    else: event.reply(",".join(_cfg.keys())) ; return
    try: 
        key = event.args[1]
        if len(event.args) > 3: rest = event.args[2:]
        else: rest = event.args[2]
        if key in obj:
            obj[key] = rest
            if key == "user" and "@" in obj[key]:
                obj["username"], obj["server"] = obj[key].split("@")
            obj.prefix = "cfg"
            obj.sync()
    except IndexError: pass
    if obj:
        if event.args: event.reply(obj.nice())
        else: event.reply(", ".join(obj.keys()))
