# meds/kernel/restore.py
#
#

""" read files from disk. """

from meds.utils.tijd import to_date
from meds.storage import Storage
from meds.object import Object
from meds.kernel import kernel

import mailbox
import os

def restore(event):
    try: key, value = event.args
    except ValueError: event.reply("restore <key> <value>") ; return
    nr = 0
    for fn in kernel.all(*event.args):
        obj = Object().load(fn)
        if key not in obj: continue
        if value not in obj[key]: continue
        if "deleted" not in obj: continue
        obj.deleted = False
        obj.sync()
        nr += 1
    event.ok(nr)
