# suicide.py
#
#

""" statistics on suicide. """

from meds.utils.tijd import elapsed, to_time, today
from meds.utils.misc import fields
from meds.clock import Repeater
from meds.object import Object
from meds.kernel import kernel
from meds.event import Event
from meds.cfg import cfg

from meds import __txt__

import logging
import random
import time

def getnumber(modname, name):
    mod = sys.modules[modname]
    for n in dir(mod):
        obj = getattr(mod, n, None)
        if obj:
            try: return int(obj.get(name))
            except: pass
    return 0

def seconds(nr, period="jaar"):
    if not nr: return nr
    return nrsec.get(period) / float(nr)

def suicide(event, **kwargs):
    from meds.plugs.lijk import txt
    e = Event(kwargs)
    name = event.rest or e.name 
    delta = time.time() - starttime
    awake = time.time() - today()
    needed = seconds(cijfers.suicide)
    if needed:
        nr = delta/needed
        txt = "SUICIDE #%s %s #%s" % (int(nr), __txt__, random.choice(txt.split(", ")))
        event.announce(txt)

startdate = "2013-01-17 00:00:00"
starttime = to_time(startdate)
source = "http://pypi.python.org/pypi/meds"

cijfers = Object()
cijfers.suicide = 1854

nrsec = Object()
nrsec.dag = 24 * 60 * 60.0
nrsec.jaar = 365 * nrsec.dag
nrsec.weekend = 2 / 7 * (24 * 60 * 60.0 * 365) / 52
nrsec.avond = 16 / 24 * (24 * 60 * 60.0)
