# test.py
#
#

""" test commands and classes. """

from meds.utils.misc import stripped
from meds.bots.test import TestBot
from meds.utils.name import name
from meds.kernel import kernel
from meds.event import Event
from meds.cfg import cfg

import logging
import time

def test(event): event.reply("hello %s" % stripped(event.origin))

def flood(event):
    txt = "b" * 5000
    event.announce(txt)

def forced(event):
    for bot in kernel.bots():
        try: bot._sock.shutdown(2)
        except: event.reply("%s bot doesn't have a _sock attribute" % name(bot))

def exception(event):
    if event.origin != cfg.main.owner: event.reply("EOWNER %s" % event.origin) ; return 
    event.reply("raising exception.")
    raise Exception('test exception')

def wrongxml(event):
    event.reply('sending bork xml')
    for bot in kernel.fleet.values(): bot.out('<message asdfadf/>')

def unicode(event): event.reply(outtxt)

def deadline(event):
    try: nrseconds = int(event.rest)
    except: nrseconds = 2
    event.reply('starting %s sec sleep' % nrseconds)
    time.sleep(nrseconds)

def workdir(event): event.workdir = "bla.test" ; event.save() ; event.reply(event._path)

def html(event):
    event.reply('<span style="font-family: fixed; font-size: 10pt"><b>YOOOO BROEDERS</b></span>')

def cmndrun(event):
    for name in sorted(kernel.modules()):
        if name in ["meds.plugs.test", "meds.plugs.rss"]: continue
        mod = kernel.direct(name)
        for cmnd in dir(mod):
            e = Event()
            e.txt = ("!" + cmnd)
            e.workdir = "test.data"
            e.origin = "test@bot"
            e.parse()
            logging.warn("< %s" % e.txt)
            e.dispatch()

def runkernel(event):
    if cfg.main.owner not in event.origin: event.reply("EOWNER %s" % event.origin) ; return
    bot.workdir = "test.data"
    try: nrloops = int(event.args[0])
    except: nrloops = 1
    for x in range(nrloops): kernel.launch(cmndrun, event)

exclude = ["fetcher", "test", "runkernel"]
outtxt = u"Đíť ìš éèñ ëņċøďıńğŧęŝţ· .. にほんごがはなせません .. ₀0⁰₁1¹₂2²₃3³₄4⁴₅5⁵₆6⁶₇7⁷₈8⁸₉9⁹ .. ▁▂▃▄▅▆▇▉▇▆▅▄▃▂▁ .. .. uǝʌoqǝʇsɹǝpuo pɐdı ǝɾ ʇpnoɥ ǝɾ"
