# clock.py
#
#

""" timer, repeater and other clock based classes. """

from meds.utils.tijd import today, to_day, year, day, extract_time, get_hour
from meds.kernel import kernel
from meds.event import Event
from meds.clock import Timer

import time

def timer(event):
    if not event.rest: return
    seconds = 0
    for word in event.args:
        if word.startswith("+"):
             try: seconds = int(word[1:])
             except: event.reply("%s is not an integer" % seconds) ; return
    if seconds: target = time.time() + seconds
    if not seconds:
        target = to_day(event.rest)
        if not target:
            target = get_hour(event.rest)
            if target: target += to_day(day())
        if not target: target = to_day(day())
    if not target or time.time() > target: event.reply("already passed given time.") ; return
    e = Event()
    e._bot = event._bot
    e.services = "clock"
    e.prefix = "timer"
    e.txt = event.rest
    e.time = target
    e.done = False
    e.save()
    timer = Timer(target, e.reply, e.txt)
    kernel.launch(timer.start)
    e.ok(time.ctime(target))
