# meds/run/timer.py
#
#

""" timer startup. """

from meds.storage import Storage
from meds.kernel import kernel
from meds.event import Event
from meds.clock import Timer

import time

def init(event):
    store = Storage()
    for fn in store.all("timer"):
        e = Event().load(fn)
        if e.done: continue
        if "time" not in e: continue
        if time.time() < int(e.time):
            timer = Timer(int(e.time), e.announce, e.txt)
            kernel.launch(timer.start)

def shutdown(event): kernel.kill("timer")
