# meds/scheduler.py
#
#

""" the schaeduler. """

from meds.errors import EDISCONNECT, ENOTIMPLEMENTED
from meds.utils.trace import get_exception
from meds.utils.name import name, sname
from meds.object import Object
from meds.event import Event
from meds.cfg import cfg

import logging
import _thread
import select
import queue
import time
import os

class Scheduler(Object):

    """ schedules events. """

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self._queue = queue.Queue()
        self._status = "init"
        self._start = time.time()

    def start(self): 
        logging.warn("# start %s" % sname(self).lower())
        self._status = "running" 
        while self._status:
            if cfg.main.shell: self.prompt()
            event = self.event()
            if not event or not self._status: break
            if event._func:
                try: event._func() ; event.ready()
                except: logging.error(get_exception())
            self.dispatch(event)
            self.callcb(event)
            self._nr += 1
        logging.warn("# stop %s" % sname(self))
        self.ready()

    def stop(self):
        logging.warn("# stop %s" % sname(self))
        self._status = ""
        self._queue.put_nowait(None)

    def dispatch(self, event):
        from meds.kernel import kernel
        return kernel.dispatch(event)

    def callcb(self, event): pass

    def event(self): return self._queue.get()

    def prompt(self): pass

    def put(self, event):
        if not event.parsed: event.parse()
        self._queue.put_nowait(event)
