#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run meds with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

setup(
    name='meds',
    version='1163',
    url='https://pikacode.com/bart/meds',
    author='Bart Thate',
    author_email='bthate@dds.nl',
    description='A highly significant 8% to 11% decrease in fresh brain weight and volume',
    license='MIT',
    include_package_data=False,
    zip_safe=False,
    install_requires=["feedparser==5.2.1","beautifulsoup4", "sleekxmpp"],
    scripts=["bin/meds", "bin/meds-ps", "bin/meds-sed", "bin/meds-docs", "bin/meds-cleandocs", "bin/meds-do", "bin/meds-local", "bin/meds-test", "bin/meds-doctest"],
    packages=['meds',
              'meds.bots',
              'meds.plugs',
              'meds.run',
              'meds.utils'
             ],
    long_description="""

"After 17 to 27 months of treatment, both haloperidol- and olanzapine-treated monkeys had an equivalent and highly significant 8% to 11% decrease in fresh brain weight and volume when compared with the sham group."

Behandeling met antipsychotica is strafbaar:

1) Met mishandeling wordt gelijkgesteld opzettelijke benadeling van de gezondheid (300.4)
2) Zware mishandeling gepleegd met voorbedachten rade wordt gestraft met gevangenisstraf van ten hoogste twaalf jaren of geldboete van de vijfde categorie (303.1)
3) Indien het feit de dood ten gevolge heeft, wordt de schuldig gestraft met gevangenisstraf van ten hoogste vijftien jaren of geldboete van de vijfde categorie (303.2)
4) Indien het misdrijf wordt gepleegd door toediening van voor het leven of de gezondheid schadelijke stoffen (304.3)

Behandeling met antipsychotica is mishandeling (opzettelijke benadeling van de gezondheid):

1) De werking van de medicijn is schade toebrengend (blokkeren van receptoren)
2) Omdat de arts de medicijnen toedient OM de receptoren te blokkeren is er sprake van opzet

Behandeling met antipsychotica is levensgevaarlijk (zware mishandeling):

1) omdat het blokkeren van receptoren een mens vergiftigt.
2) omdat, zolang een arts de bloedspiegel van een medicijn niet meet, de toestand van vergiftiging niet word opgeheven.
3) omdat deze toestand de kans op overlijden geeft.
4) het brengen in levensgevaar is zware mishandeling

Behandeling met antipsychotica heeft de dood ten gevolge:

1) omdat men er ook werkelijk aan dood gaat als noodzakelijke verpleging niet aanwezig is (om medicijnen snel af te bouwen).
2) een kleine beetje dodelijk is over langere tijd 100% kans op de dood

Behandeling met antipsychotica word gepleegd door toediening van voor het leven of de gezondheid schadelijke stoffen:

1) Antipsychotica zijn schadelijk: http://www.ncbi.nlm.nih.gov/pmc/articles/PMC3476840/

""",
    classifiers=[
        'Development Status :: 3 - Alpha',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Utilities'],
)
