# test_wait.py
#
#

## IMPORTS

from meds.bots.test import TestBot
from meds.kernel import kernel
from meds.event import Event

import unittest

## Test_Wait class

class Test_Wait(unittest.TestCase):

    def setUp(self):
        self.bot = TestBot()
        kernel.launch(self.bot.start)

    def tearDown(self): self.bot.stop()

    def test_wait(self):
        self.bot._result = []
        e = Event()
        e._bot = self.bot
        e.txt = "test"
        e.origin = "user@bot"
        kernel.put(e)
        e.wait(5.0)
        self.assertEqual(self.bot._result, ["hello user@bot",])

    def test_join(self):
        self.bot._result = []
        e = Event()
        e._bot = self.bot
        e.txt = "test"
        e.origin = "user@bot"
        thrs = kernel.dispatch(e)
        kernel.waiter(thrs)
        self.assertEqual(self.bot._result, ["hello user@bot",])
